This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 25692 - ps -ef doesn't diplay name of process correctly
ps -ef doesn't diplay name of process correctly
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2EE
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-02 07:11 EST by Tony Davis
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:38:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tony Davis 2001-02-02 07:11:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)


Normally the 8th field of the output from ps -ef is the process name. 
After a while for some processes, the name disappears and is replaced by 
the owner of the process. For example, we have an oracle process called 
ora_arc0_SC_PRD_2 . When oracle is first started, ps shows this name fine. 
After a while (not sure how long, probably a few days), ps shows [oracle] 
instead. If I cat /proc/PID/cmdline and /proc/PID/environ , they appear to 
be empty.

This problem is annoying if you're trying to monitor processes with Big 
Brother and can be confusing.

Thanks.

Reproducible: Sometimes
Steps to Reproduce:
1. Start oracle
2. wait a while......
3.
	

Actual Results:  As described in description

Expected Results:  ps should always show process name

[tdavis@scprdb1 tdavis]$ ps -ef | grep ora
oracle     933     1  0 Jan28 ?        00:00:11 ora_pmon_SC_PRD_2
oracle     935     1  0 Jan28 ?        00:00:12 [oracle]
oracle     939     1  0 Jan28 ?        00:00:12 ora_lgwr_SC_PRD_2
oracle     946     1  0 Jan28 ?        00:00:32 ora_ckpt_SC_PRD_2
oracle     949     1  0 Jan28 ?        00:00:03 ora_smon_SC_PRD_2
oracle     951     1  0 Jan28 ?        00:00:00 ora_reco_SC_PRD_2
oracle     953     1  0 Jan28 ?        00:00:00 [oracle]

Oracle version is 8.1.6
Comment 1 Bugzilla owner 2004-09-30 11:38:54 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.